### Method

# Gio DBusConnection get_unique_name

since: 2.26

#### Declaration

    const gchar*
    g_dbus_connection_get_unique_name (
      GDBusConnection* connection
    )

#### Description

Gets the unique name of `connection` as assigned by the message bus. This can also be used to figure out if `connection` is a message bus connection.

Available since: 2.26

Gets property | `Gio.DBusConnection:unique-name`

#### Return value

Type: `const gchar*`

The unique name or `NULL` if `connection` is not a message bus connection. Do not free this string, it is owned by `connection`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.